summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/test-generic.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2004-05-05 04:27:29 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 12:51:45 -0500
commit232bc1503fc0e3f85b4711f077d2566dc0f0c823 (patch)
tree14e4a2736ab44368bdb27296ddbe5fb3a05fd5fc /source4/lib/ldb/tests/test-generic.sh
parentaf66c31e44bcb052f35f9b1de8e997149fddac89 (diff)
downloadsamba-232bc1503fc0e3f85b4711f077d2566dc0f0c823.tar.gz
samba-232bc1503fc0e3f85b4711f077d2566dc0f0c823.tar.bz2
samba-232bc1503fc0e3f85b4711f077d2566dc0f0c823.zip
r490: - expanded the test suite to test modify and delete operations
- made yet another attempt to make ldb const clean. - "make test" now runs both the tdb and ldap backend tests, and run the ldbtest utility with and without indexing - added prototypes in ldb.h for ldb_msg_*() public functions (This used to be commit 01e87406768cb5a98ac8530a2f361a4987a36cd3)
Diffstat (limited to 'source4/lib/ldb/tests/test-generic.sh')
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh15
1 files changed, 12 insertions, 3 deletions
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index 79db49bb48..794b451074 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -1,8 +1,17 @@
echo "Adding base elements"
-bin/ldbadd tests/test.ldif
+bin/ldbadd tests/test.ldif || exit 1
echo "Modifying elements"
-bin/ldbmodify tests/test-modify.ldif
+bin/ldbmodify tests/test-modify.ldif || exit 1
echo "Showing modified record"
-bin/ldbsearch '(uid=uham)'
+bin/ldbsearch '(uid=uham)' || exit 1
+
+echo "Starting ldbtest"
+time bin/ldbtest -r 1000 -s 100 || exit 1
+
+echo "Adding index"
+bin/ldbadd tests/test-index.ldif || exit 1
+
+echo "Starting ldbtest indexed"
+time bin/ldbtest -r 1000 -s 5000 || exit 1